<bugID>370126<Summary>Wrong value written to EditFlags by NSIS installer?</Summary><Description>First: I'm not sure if this is a valid bug; Robert, can you confirm/deny this?

The NSIS installer writes a binary value of "2" under http://bonsai.mozilla.org/cvsblame.cgi?file=mozilla/toolkit/mozapps/installer/windows/nsis/common.nsh&amp;rev=1.12#1668 to a generic protocol handler registry key (AddHandlerValues). But if you look at this key in regedit, it says "binary value of length zero" (not sure if this is the exact translation, I only have a German Windows here). This seems wrong to me, the code comment under http://bonsai.mozilla.org/cvsblame.cgi?file=mozilla/browser/components/shell/src/nsWindowsShellService.cpp&amp;rev=1.43#163 says that EditFlags has a DWORD value of 2, not a binary value of 2. Also with a binary value of 2, Windows hides the "Firefox URL" entry in the File Types dialog (not a valid value?).</Description></bugID>